//
//  opinion
//
//  gmalpha_flutter
//  Created by Mikasa on 2019/2/19.
//  Copyright © 2019 Gengmei. All rights reserved.
//

import 'package:flutter/material.dart';
import 'macros/ALColors.dart';
import 'macros/ALDevice.dart';

//ALColors.ColorFFFFFF
class Opinion extends StatelessWidget {
  // This widget is the root of your application.
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      debugShowCheckedModeBanner: false,
      title: 'Flutter Demo',
      color: ALColors.ColorFFFFFF,
      theme: ThemeData.light(),
      home: OpinionPage(title: '意见和建议1111111'),
//      routes: {
//        "/channeltest": batteryChannelPage,
//      },
    );
  }
}

class OpinionPage extends StatefulWidget {
  OpinionPage({Key key, this.title}) : super(key: key);

  final String title;

  @override
  _OpinionPageState createState() => _OpinionPageState();
}

class _OpinionPageState extends State<OpinionPage> {

  TextEditingController opinionCtrl = TextEditingController();

  @override
  Widget build(BuildContext context) {
    return Scaffold(
//      appBar: AppBar(
//        title: Text('Home'),
//      ),
      appBar: PreferredSize(
          child: Container(
            alignment: Alignment.center,
            child: Text(
              '意见与反馈',
              style: TextStyle(color: ALColors.Color323232, fontSize: 18),
            ),
          ),
          preferredSize: Size(320, 64)),
      body: Center(
        // Center is a layout widget. It takes a single child and positions it
        // in the middle of the parent.
        child: Column(
          mainAxisAlignment: MainAxisAlignment.center,
          children: <Widget>[
            Container(
              margin: EdgeInsets.only(left: 30, top: 42, right: 30, bottom: 0),
              height: 215,
              width: ALDevice.width,

              child: TextField(
                controller: opinionCtrl,
                decoration: InputDecoration(
                  contentPadding: EdgeInsets.all(10),
                    border: OutlineInputBorder(
                      borderRadius: BorderRadius.all(Radius.circular(0)),
                        borderSide:BorderSide(color: ALColors.ColorC4C4C4)
                    ),
                    focusedBorder: OutlineInputBorder(
                        borderRadius: BorderRadius.all(Radius.circular(0)),
                        borderSide:BorderSide(color: ALColors.ColorC4C4C4)
                    ),
                    hintText: '意见与建议',
                    hintStyle: TextStyle(
                        color: ALColors.ColorC4C4C4,
                        fontSize: 14,),
                    labelStyle: TextStyle(color: ALColors.Color323232,fontSize: 19),

                ),

              ),
            ),
            OutlineButton(
              child: Text('有阴影'),
            ),
            FlatButton(
              shape: OutlineInputBorder(
                  borderRadius: BorderRadius.all(Radius.circular(0)),
                  borderSide:BorderSide(color: ALColors.Color323232)
              ),
              child: Text('提交2222'),
              color: ALColors.ColorFFFFFF,
              onPressed: () {
                Navigator.pushNamed(context, "/channeltest");
              },
            )
          ],
        ),
      ),
    );
  }
}
//
//class MyNarBar extends PreferredSizeWidget {
//  @override
//}
